/// <reference types="react" />
export declare type IReactComponent = React.ReactElement<any, string | React.JSXElementConstructor<any>>;
export interface IRichDataObject {
    value: number;
    component: (children?: any) => any;
}
export declare type IDataItemProperty = string | number | IRichDataObject;
interface WithUIDs {
    dataItemUID: string;
}
export interface INotUniqueDataItem {
    [key: string]: IDataItemProperty;
}
export interface IDataItem extends WithUIDs {
    [key: string]: IDataItemProperty;
}
export declare enum ILegend {
    empty = "empty",
    isParent = "isParent",
    isFilled = "isFilled"
}
export declare type IDataSlice = {
    [key: string]: number[];
};
export interface IConfigItem {
    label: string;
    [key: string]: any;
    component?: IReactComponent;
    denoteAs?: string;
    isParent?: boolean;
    flexure?: string | number;
}
export declare type IConfig = {
    [key: string]: IConfigItem;
};
export declare type ISelection = {
    selectionInterval: number[];
    setSelectionInterval: any;
    selectionHighlighter: string;
};
export declare type IXAxis = {
    key: string;
    step?: number;
    ticksNum?: number;
    grid?: boolean | IReactComponent;
    sectionComponent?: IReactComponent;
    component?: IReactComponent;
    emptyArea?: IReactComponent;
};
export declare type IYAxis = {
    maxValue?: number;
    minValue?: number;
    ticksNum?: number;
    denoteAs?: string;
    formatFn?(val: any): any;
    grid?: boolean | IReactComponent;
    sectionComponent?: IReactComponent;
    component?: IReactComponent;
};
export interface ITooltip {
    isSmartTooltipPositioning?: boolean;
    isVisible?: boolean;
    hints?: {
        [key: string]: IReactComponent;
    };
    component?: IReactComponent;
    innerComponents?: {
        label?: IReactComponent;
        value?: IReactComponent;
        list?: IReactComponent;
        listItem?: IReactComponent;
    };
}
export interface ITooltipData {
    xAxisValue: IDataItemProperty;
    dataConfigKey: string;
    barIndex: number;
    barValue: number;
    tooltipValues: {
        label: string;
        key: string;
        value: any;
    }[];
}
export {};
